package it.openutils.spring.rmibernate.server.aspects.util;

import java.io.ObjectStreamException;

/**
 * Interface for intercepting writeReplace method calls
 * @author mmolaschi
 * @version $Id: EntitySerializer.java 485 2007-10-26 11:06:52Z fcarone $
 */
public interface EntitySerializer
{
    /**
     * Write alternative object on serialization
     * @return alternative object
     * @throws ObjectStreamException error writing
     */
    Object writeReplace() throws ObjectStreamException;

}