/*
 * Copyright (c) Openmind.  All rights reserved. http://www.openmindonline.it
 */
package it.openutils.spring.rmibernate.shared;

import java.io.Serializable;
import java.lang.reflect.Method;

import org.apache.commons.lang.StringUtils;

import net.sf.cglib.proxy.CallbackFilter;


/**
 * @author fcarone
 * @version $Id: $
 */
public class HibernateLazyLoaderCallbackFilter implements CallbackFilter, Serializable
{

    /**
     *
     */
    private static final long serialVersionUID = 3409438660731356981L;

    /**
     * {@inheritDoc}
     */
    public int accept(Method method)
    {
        if (StringUtils.equals(method.getName(), "writeReplace"))
        {
            return 1;
        }
        return 0;
    }

}
